| Openscape Voice V10 - SOAP Interface Documentation

Public Attributes | List of all members
GenericRouteCreateObject Class Reference
Destination and Route

Create Route data. More...

`#include <osv-if-doc.h>`

## Public Attributes
xsd__int | Id
| Route List Id. More...
xsd__string | Name
| Route Symbolic Name. More...
xsd__string | ReferenceName
| Symbolic name of the route referenced object. More...
enum unsp__ReferenceType | ReferenceType
| Indicates the type of the route reference object. More...
xsd__short | DigitsToDelete
| Number of leading digits to be deleted from the destination DN. More...
xsd__string | DigitsToInsert
| Optional digit string with characters in the set (0,9,*,#). More...
enum unsp__E164NatureOfAddr | NatureOfAddress
| Specifies the nature of address of the destination DN after digit deletion and/or insertion. More...
enum unsp__CacSignaling | CacSignaling
| Cac Signaling. More...
xsd__string | LocalTollName
| Associated Local Toll name. More...
xsd__string | DigitsSubscriber
| Digits Subscriber. More...
xsd__string | DigitsNational
| Digits National. More...
xsd__string | DigitsInternational
| Digits International. More...
xsd__short | LocalNumbersOnly
| Local Numbers Only. More...
xsd__short | isPrefixed
| Is Prefixed. More...

## Detailed Description

Create Route data.

## Member Data Documentation

## ◆ CacSignaling

enum unsp__CacSignaling GenericRouteCreateObject::CacSignaling

Cac Signaling.

required: false
default value[range]: NA

## ◆ DigitsInternational

xsd__string GenericRouteCreateObject::DigitsInternational

Digits International.

required: false
default value[range]: [1..15]

## ◆ DigitsNational

xsd__string GenericRouteCreateObject::DigitsNational

Digits National.

required: false
default value[range]: [1..15]

## ◆ DigitsSubscriber

xsd__string GenericRouteCreateObject::DigitsSubscriber

Digits Subscriber.

required: false
default value[range]: [1..15]

## ◆ DigitsToDelete

xsd__short GenericRouteCreateObject::DigitsToDelete

Number of leading digits to be deleted from the destination DN.

required: false
default value[range]: NA

## ◆ DigitsToInsert

xsd__string GenericRouteCreateObject::DigitsToInsert

Optional digit string with characters in the set (0,9,*,#).

It represents the leading digits to add at the beginning of the destination DN.
required: false
default value[range]: [1..31]

## ◆ Id

xsd__int GenericRouteCreateObject::Id

Route List Id.

required: true
default value[range]: NA

## ◆ isPrefixed

xsd__short GenericRouteCreateObject::isPrefixed

Is Prefixed.

required: false
default value[range]: NA

## ◆ LocalNumbersOnly

xsd__short GenericRouteCreateObject::LocalNumbersOnly

Local Numbers Only.

required: false
default value[range]: NA

## ◆ LocalTollName

xsd__string GenericRouteCreateObject::LocalTollName

Associated Local Toll name.

required: false

See also
  unsp__LocalTollName

## ◆ Name

xsd__string GenericRouteCreateObject::Name

Route Symbolic Name.

required: true
default value[range]: NA [1..15]

## ◆ NatureOfAddress

enum unsp__E164NatureOfAddr GenericRouteCreateObject::NatureOfAddress

Specifies the nature of address of the destination DN after digit deletion and/or insertion.

required: false
default value[range]: NA

## ◆ ReferenceName

xsd__string GenericRouteCreateObject::ReferenceName

Symbolic name of the route referenced object.

required: true
default value[range]: NA

## ◆ ReferenceType

enum unsp__ReferenceType GenericRouteCreateObject::ReferenceType

Indicates the type of the route reference object.

required: false
default value[range]: NA

The documentation for this class was generated from the following file:

- /home/build/gitlocal/osv_nem/submgmt/doc/osv-if-doc.h